using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using WingPaymentService.Common.WeChat;

namespace WingPaymentService.Common
{
    public class WeChatCommon
    {
        private WxPayNativePay _nativePay = new WxPayNativePay();

        /// <summary>
        /// 获取网站支付链接
        /// </summary>
        /// <param name="body">商品描述</param>
        /// <param name="totalAmount">总金额</param>
        /// <param name="outTradeNo">订单信息</param>
        /// <param name="attach">附加数据</param>
        /// <param name="deviceInfo">设备信息</param>
        /// <returns></returns>
        public async Task<(string, string)> GetWebPayUrlAsync(string body, double totalAmount, string outTradeNo, string recordCode, string attach, string deviceInfo)
        {
            int totalNumber = Convert.ToInt32(totalAmount * 100);
            return await _nativePay.GetWebPayUrl(body, totalNumber, outTradeNo, recordCode, attach, deviceInfo);
        }

        /// <summary>
        /// 获取手机网站支付链接
        /// </summary>
        /// <param name="body">商品描述</param>
        /// <param name="totalAmount">总金额</param>
        /// <param name="outTradeNo">订单信息</param>
        /// <param name="attach">附加数据</param>
        /// <param name="deviceInfo">设备信息</param>
        /// <returns></returns>
        public async Task<(string, string)> GetWapPayUrlAsync(string body, double totalAmount, string outTradeNo, string recordCode, string attach, string deviceInfo)
        {
            int totalNumber = Convert.ToInt32(totalAmount * 100);
            return await _nativePay.GetWapPayUrl(body, totalNumber, outTradeNo, recordCode, attach, deviceInfo);
        }
    }
}